Subject: bug#76650: 31.0.50; Add lua-mode to Emacs

From: john muhl <[email-masked]>
Date: Wed, 05 Mar 2025 19:09:25 -0600

Stefan Kangas <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: john muhl <[email-masked]>
>>> Cc: [email-masked], [email-masked], [email-masked]
>>> Date: Wed, 05 Mar 2025 10:33:20 -0600
>>>
>>> Then one last procedural question before I get started on that
>>> initial commit. Do we want to preserve the git history or just
>>> bring it in as if it were new file?
>>
>> It is best to preserve it.
>
> Indeed.  This is one possible starting point:
> https://gist.github.com/joaotavora/2ed97f2ec85958986983d5cb78202770
>
> The idea is to put the changes on a separate branch containing only that
> one file in its right location, and then to merge that to master.

Ok. I have the history in a branch.

https://git.sr.ht/~johnmuhl/emacs/log/scratch/lua-mode

In the latest commit there I’ve gone through and marked all the
lines remaining from the inital commit. Please correct me if I’m
wrong but the only thing that looks possibly significant
copyright-wise is the function ‘lua-end-of-proc’. Am I too
optimistic?

>>> If the former should the commit messages all be cleaned up to
>>> conform to Emacs standards?
>>
>> Is that even practical?
>
> It's not necessary, and its impractical.  The commit that merges to
> master could have a ChangeLog entry like this:
>
>     * lisp/progmodes/lua-mode.ts: New file.

Great. I was not looking forward to that effort.